#2986 reopened enhancement

Convert Coding Style to Sphinx Document

Reported by: Joel Sherrill Owned by: chrisj@…
Priority: normal Milestone: Indefinite
Component: doc Version: 5
Severity: normal Keywords: small, tasks
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

The RTEMS Coding Style should be in a Sphinx document so it is included in the formal documentation set. This is a document expected for certification and qualification efforts.

There are still various pages in the wiki which can be found by using this search URL which require merging into the Software Engineering Guide or otherwise updating.

https://devel.rtems.org/search?q=Developer%2FCoding&noquickjump=1&wiki=on

All Doxygen guidance should be in the Guide. GCI instructions may remain in the wiki.
Was at wiki Developer Coding Conventions. Now at https://docs.rtems.org/branches/master/eng/coding-conventions.html

As a specific starting point, https://devel.rtems.org/wiki/Developer/Coding/Doxygen needs further review

against the Doxygen Guidelines at
https://docs.rtems.org/branches/master/eng/coding-doxygen.html#.

Change History (8)

comment:1 Changed on Apr 9, 2017 at 12:22:44 AM by Chris Johns

Milestone: 4.124.12.0

I think we need a document that contains all the processes and procedures for the project. There are a number of elements we have that need to be formalised and documented.

What should we call this document, "RTEMS Project Development Procedures"?

comment:2 Changed on Jun 8, 2017 at 7:49:06 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:3 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc

comment:4 Changed on Apr 30, 2020 at 10:05:19 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

The text in the Wiki page is now in the Software Engineering Guide. See https://docs.rtems.org/branches/master/eng/coding-conventions.html

comment:5 Changed on Apr 30, 2020 at 10:07:12 PM by Joel Sherrill

Description: modified (diff)

comment:6 Changed on May 1, 2020 at 1:05:12 PM by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: closedreopened

Reopening since more Doxygen advice/guidance found.

comment:7 Changed on May 1, 2020 at 1:06:22 PM by Joel Sherrill

Description: modified (diff)

comment:8 Changed on May 1, 2020 at 1:07:02 PM by Joel Sherrill

Keywords: small tasks added
Note: See TracTickets for help on using tickets.